import request from '@/utils/request'

// 查询设备台账信息列表
export function listLedger(query) {
  return request({
    url: '/dms/ledger/list',
    method: 'get',
    params: query
  })
}

// 查询设备台账信息详细
export function getLedger(deviceId) {
  return request({
    url: '/dms/ledger/' + deviceId,
    method: 'get'
  })
}

// 新增设备台账信息
export function addLedger(data) {
  return request({
    url: '/dms/ledger',
    method: 'post',
    data: data
  })
}

// 修改设备台账信息
export function updateLedger(data) {
  return request({
    url: '/dms/ledger',
    method: 'put',
    data: data
  })
}

// 删除设备台账信息
export function delLedger(deviceId) {
  return request({
    url: '/dms/ledger/' + deviceId,
    method: 'delete'
  })
}
